# Make file for the Unit tests.

EXTRA_DIST= unit-test.h test-item.c dia-handle_.c dia-shape_.c

INCLUDES = -I.. $(DIACANVAS2_CFLAGS) -Wall
LDADD = $(DIACANVAS2_LIBS) ../diacanvas/libdiacanvas2.la

##
## Place the unit tests here:
##

UNIT_TESTS = \
	test-canvas	\
	test-canvas-item\
	test-canvas-view\
	test-strength	\
	test-variable	\
	test-expression	\
	test-constraint	\
	test-solver	\
	test-geometry	\
	test-shape	\
	test-shape-art

noinst_PROGRAMS = $(UNIT_TESTS)

# For use with 'make check'
TESTS = $(UNIT_TESTS)

TESTS_ENVIRONMENT = function RUNTST { $$1; RC="$$?"; if test $$RC -ne 0; then echo "test: Test failed: $$1"; exit; fi; }; RUNTST

#.PHONY: test

#test: all
#	@sh -c 'echo; for TST in $(UNIT_TESTS); do \
#		echo "test: Running test: $$TST..."; \
#		./$$TST; RC="$$?"; \
#		if test $$RC -ne 0; then \
#			echo "test: Test failed: $$TST."; \
#			exit; \
#		fi; done; \
#		echo "test: All tests passed." '
